program MobaLiveCD;

uses
  Forms, Registry, Windows, SysUtils,
  Unit1 in 'Unit1.pas' {Form1},
  UnitsDialog in 'UnitsDialog.pas' {FormsDialog},
  Unit2 in 'Unit2.pas' {Form2},
  Unit3 in 'Unit3.pas' {Form3};

{$R *.res}


procedure Traduction(Langue:string);
begin
  if Langue='en' then
  begin
    with Form1 do
    begin
      Caption:='';
      Label7.Caption:='Welcome to MobaLiveCD';
      Label6.Caption:='This program allows you to test your bootable CD-Rom ("LiveCD") thanks to an emulation engine. You can either associate this program to the right-click menu of ISO image files, or directly run a LiveCD ISO image.';
      Label1.Caption:='Install MobaLiveCD''s right-clic association';
      Label2.Caption:='This option allows you to launch MobaLiveCD from the right-click menu of ISO image files.';
      sBitBtn1.Caption:='Right-click menu';
      Label3.Caption:='Start directly a CD-ROM ISO image file';
      Label4.Caption:='This option allows you to choose an ISO image file by browsing your hard drive and to start it.';
      sBitBtn2.Caption:='Run the LiveCD';
      sBitBtn6.Caption:='Uninstall';
      sBitBtn5.Caption:='Help';
      sBitBtn4.Caption:='About';
      sBitBtn3.Caption:='Exit';
      OpenDialog1.Title:='Please, select an ISO image file';
      OpenDialog1.Filter:='CD-Rom ISO image files|*.iso';
      UninstallOK:='MobaLiveCD was uninstalled successfully !';
      InstallOK:='MobaLiveCD was installed successfully !';
      InstallKO:='You must be administrator of your computer to perform this action';
      RegCommand:='Test this with MobaLiveCD';
    end;
    with Form2 do
    begin
      Caption:='MobaLiveCD - Help';
      Label1.Caption:='During the emulation, you can use the following keys';
      Label3.Caption:='- Click in the window to interract with the emulated OS';
      Label2.Caption:='- Press Ctrl + Alt  to return to your common environment';
      Label4.Caption:='- Press Ctrl + Alt + f  to switch the emulated window to fullscreen mode';
      Label5.Caption:='- Press Ctrl + Alt + f  to exit fullscreen mode for the emulated window';
    end;
    with Form3 do
    begin
      Caption:='About MobaLiveCD';
      LabelURL4.Caption:='(license)';
      LabelDescription.Caption:='Test your LiveCD under Windows without burning them or rebooting';
      Label5.Caption:='MobaLiveCD is a freeware distributed by Mobatek.';
      LabelUrl2.Caption:='Please visit our website for downloading other freewares.';
      UrlMail.Caption:='Send us an e-mail';
      UrlWebsite.Caption:='Official MobaLiveCD Homepage';
    end;
  end;
end;



var
  Reg:TRegistry;
  Langue:string;
begin
  Application.Initialize;
  Application.CreateForm(TForm1, Form1);
  Application.CreateForm(TFormsDialog, FormsDialog);
  Application.CreateForm(TForm2, Form2);
  Application.CreateForm(TForm3, Form3);


  Reg:=TRegistry.Create;
  try
    Reg.RootKey:=HKEY_CURRENT_USER;
    if Reg.OpenKey('Control Panel\International', false) then
    begin
      if Reg.ValueExists('Locale') then
      begin
        Langue:=lowercase(Reg.ReadString('Locale'));
        if ((Langue='0000040c') or (Langue='0000080c') or (Langue='0000100c') or (Langue='00000c0c') or (Langue='0000140c') or (Langue='0000180c')) then
          Traduction('fr')
        else
          Traduction('en');
      end;
      Reg.CloseKey;
    end;
  finally
    Reg.Free;
  end;


  Application.Run;
end.
